/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_VIEW_H
#define OCARINA_GUI_VIEW_H

#include <core/queue.h>

/* Called to initialize structures needed by the treeview. */
void gui_view_init();

/* Called to scroll the GUI treeview to the queue's current position. */
void gui_view_scroll();

/* Called to get the GtkTreeModelFilter */
GtkTreeModelFilter *gui_view_get_filter(void);

/* Called to set the currently displayed model. */
void gui_view_set_queue(struct queue *);

#endif /* OCARINA_GUI_VIEW_H */
